aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorptrcnull <git@ptrcnull.me>2022-09-25 07:48:15 +0000
committeralice <alice@ayaya.dev>2022-09-25 07:48:22 +0000
commitbf047c4a9dcacf34fa988cbc777be8adf9591596 (patch)
treeb8dc59af59b3ad27650e802c1eb6bb32c99af18c
parentcb49ed958175e9f4395029d6f5c05be99f9cb2e9 (diff)
downloadaports-bf047c4a9dcacf34fa988cbc777be8adf9591596.tar.gz
aports-bf047c4a9dcacf34fa988cbc777be8adf9591596.tar.bz2
aports-bf047c4a9dcacf34fa988cbc777be8adf9591596.tar.xz
main/aom: upgrade to 3.5.0
-rw-r--r--main/aom/APKBUILD11
1 files changed, 5 insertions, 6 deletions
diff --git a/main/aom/APKBUILD b/main/aom/APKBUILD
index 7985463181..3aec00d530 100644
--- a/main/aom/APKBUILD
+++ b/main/aom/APKBUILD
@@ -1,13 +1,13 @@
# Contributor: Oleg Titov <oleg.titov@gmail.com>
# Maintainer: Oleg Titov <oleg.titov@gmail.com>
pkgname=aom
-pkgver=3.4.0
+pkgver=3.5.0
pkgrel=0
pkgdesc="Alliance for Open Media (AOM) AV1 codec SDK"
url="https://aomedia.org/"
arch="all"
-license="custom"
-options="net !check" # tests require a lot of time
+license="BSD-2-Clause AND custom"
+options="!check" # tests run for 5+ hours
makedepends="cmake perl python3 yasm samurai"
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
source="$pkgname-$pkgver.tar.gz::https://aomedia.googlesource.com/aom/+archive/v$pkgver.tar.gz
@@ -36,8 +36,7 @@ build() {
-DCMAKE_INSTALL_LIBDIR=lib \
-DBUILD_SHARED_LIBS=True \
-DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_CXX_FLAGS="$CXXFLAGS" \
- -DCMAKE_C_FLAGS="$CFLAGS"
+ -DENABLE_TESTS="$(want_check && echo ON || echo OFF)"
ninja -C build
}
@@ -65,6 +64,6 @@ unpack() {
}
sha512sums="
-cb375445410319aac4149baad5f7b8f2e863a0fc47247b55b640edf8e650a766276bcebe107f2fbe9828990ab3b725fbf553f97f74b5e2d291dd12626a205287 aom-3.4.0.tar.gz
+7499b9ee32e8b687edb82f448ebebca214feaa0a58442307483dd98b63f88f51494f15107cea6e2f0ed8b957526ee16905b2b50668b36e9cb4b71f5cb85c982c aom-3.5.0.tar.gz
573a6c9cd1e9c71a0612f750fb1b69ee65ab86364d3aa78ef51b8fb20633c69b97026d0685dedeabb51f31d0dab7c651d1fe5c72e0dc9f14b8ed2704584934a9 fix-stack-size-e53da0b.patch
"